commit 1560edd9600ee87a18854a9bf8cdd68d54544205
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Mar 1 15:19:22 2020 +0000

    Fix $mime_part_count for non-mime message on multi-message connection.  Bug 2537
    
    Cherry-picked from b273058b34

diff --git a/src/src/receive.c b/src/src/receive.c
index 4e85ffacf..350c4eda8 100644
--- a/src/src/receive.c
+++ b/src/src/receive.c
@@ -1756,6 +1756,13 @@ if (thismessage_size_limit <= 0) thismessage_size_limit = INT_MAX;
 message_linecount = body_linecount = body_zerocount =
   max_received_linelength = 0;
 
+#ifdef WITH_CONTENT_SCAN
+/* reset non-per-part mime variables */
+mime_is_coverletter    = 0;
+mime_is_rfc822         = 0;
+mime_part_count        = -1;
+#endif
+
 #ifndef DISABLE_DKIM
 /* Call into DKIM to set up the context.  In CHUNKING mode
 we clear the dot-stuffing flag */

